Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3187 - Isn't it better to touch /var/lock/subsys/* in daemon() ?
Summary: Isn't it better to touch /var/lock/subsys/* in daemon() ?
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: SysVinit
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-01 03:23 UTC by inoue
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-01 21:30:14 UTC


Attachments (Terms of Use)

Description inoue 1999-06-01 03:23:12 UTC
I wonder why init-scripts touch /var/lock/subsys/*
individually; isn't it better function daemon() do this?

I think it is also smart to introduce some function to
remove /var/run/*.pid and /var/lock/* together

Comment 1 Bill Nottingham 1999-06-23 21:56:59 UTC
The one problem with this is that it runs the risk of breaking
previous initscripts; while we maintain our own, we don't
maintain ones for third party software (like ssh, for example...)

Comment 2 Bill Nottingham 1999-07-01 21:30:59 UTC
we'll look at this for a later release...


Note You need to log in before you can comment on or make changes to this bug.